# Interface methods for submodule: HoughTransform2DCirclesImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HoughTransform2DCirclesImageFilter
class HoughTransform2DCirclesImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def VerifyPreconditions(self) -> None:
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

	def SetRadius(self, radius: float) -> None:
		""""""
		...

	def SetMinimumRadius(self, _arg: float) -> None:
		""""""
		...

	def GetMinimumRadius(self) -> float:
		""""""
		...

	def SetMaximumRadius(self, _arg: float) -> None:
		""""""
		...

	def GetMaximumRadius(self) -> float:
		""""""
		...

	def SetThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	def SetGradientNormThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetGradientNormThreshold(self) -> float:
		""""""
		...

	def GetModifiableRadiusImage(self):
		""""""
		...

	def GetRadiusImage(self):
		""""""
		...

	def SetSigmaGradient(self, _arg: float) -> None:
		""""""
		...

	def GetSigmaGradient(self) -> float:
		""""""
		...

	def GetCircles(self):
		""""""
		...

	def SetNumberOfCircles(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfCircles(self) -> int:
		""""""
		...

	def SetDiscRadiusRatio(self, _arg: float) -> None:
		""""""
		...

	def GetDiscRadiusRatio(self) -> float:
		""""""
		...

	def SetVariance(self, _arg: float) -> None:
		""""""
		...

	def GetVariance(self) -> float:
		""""""
		...

	def SetSweepAngle(self, _arg: float) -> None:
		""""""
		...

	def GetSweepAngle(self) -> float:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

